/* ----------------------------------------- */
/* Configuration
/* ----------------------------------------- */

$primary-color: #5e0000 !default;
$secondary-color: #171f69 !default; /* used for mini headers, alternate primary color */
$tertiary-color: #E9D7A1 !default; /* compliments the primary color, usually used in combination */
$alt-color: #786452; /* for all other uses */
$alt-dark: #443730;
$background-color: #F8F4F1 !default;
$dark-color: darken($primary-color, 10) !default;
$light-color: lighten($primary-color, 10) !default;
$body-color: #1C1C1C;
$sub-color: #605856;

/* Other Colors */
$green-color: #6BAA75;

$sidebar-title-color: #f7d488;
$sidebar-label: #ffefbd;

/* One Shade Lighter / Darker */
$light-1: lighten($light-color, 10);
$dark-1: darken($dark-color, 10);

/* Window Settings */
$window-title-bg: #121820;
$window-bg: $background-color;

/* Headers w/ boxes */
$header-color: #fff; /* Font Color */
$header-bg: $secondary-color;
$box-bg: lighten($header-bg, 75);

/* Buttons */
$btn-text: $tertiary-color !default;
$btn-color: $primary-color !default;
$btn-radius: 0 !default;
$btn-frame: $tertiary-color !default;

$btn-color: #8e0317 !default;
$btn-radius: 0 !default;

/* rank colors */
$rank-untrained: #424242;
$rank-trained: $secondary-color;
$rank-expert: #3c005e;
$rank-master: #664400;
$rank-legendary: $primary-color;

/* ----------------------------------------- */
/* Global Settings                           */
/* ----------------------------------------- */

:root {
    --primary: #{$primary-color};
    --secondary: #{$secondary-color};
    --tertiary: #{$tertiary-color};
    --green: #{$green-color};
    --alt: #{$alt-color};
    --alt-dark: #{$alt-dark};
    --light: #{$light-color};
    --lighter: #{$light-1};
    --dark: #{$dark-color};
    --darker: #{$dark-1};
    --bg: #{$background-color};
    --sub: #{$sub-color};
    --btn-color: #{$btn-color};
    --btn-radius: #{$btn-radius};
    --header-color: #{$header-color};
    --header-bg: #{$header-bg};
    --body: #{$body-color};
    --box-bg: #{$box-bg};
    --window-bg: #{$window-bg};

    --sidebar-label: #{$sidebar-label};
    --sidebar-title: #{$sidebar-title-color};

    --animate-duration: 1s;
    --animate-delay: 1s;
    --animate-repeat: 1;
}

/* ----------------------------------------- */
/* Layout                                    */
/* ----------------------------------------- */

$padding: 0.5em;
$margin: 0.5em;

.grid {
    display: grid;
    grid-template-rows: 1fr;
}

.flex {
    display: flex;
}

/* ----------------------------------------- */
/* Typography                                */
/* ----------------------------------------- */

.pf2e, .app.sheet.actor {
  font-family: var(--sans-serif);
    h1, h2, h3, h4 {
        font-weight: 600;
    }
    p {
        font-weight: 500;
    }
}

a[href] {
    color: var(--primary);
}

// ensure higher specificity than the sheet styles
.pf2e.sheet form span.pf2-icon,
.pf2e.sheet form span[data-pf2-action],
.pf2e.sheet form span[data-pf2-action] *,
.pf2e.sheet form span[data-pf2-saving-throw],
.pf2e.sheet form span[data-pf2-saving-throw] *,
.pf2e.sheet form span[data-pf2-skill-check],
.pf2e.sheet form span[data-pf2-skill-check] *,
.pf2e.sheet form span[data-pf2-perception-check],
.pf2e.sheet form span[data-pf2-perception-check] *,
.pf2-icon {
    display: inline;
}

.pf2e.sheet form span.pf2-icon,
.pf2-icon {
    font-family: 'Pathfinder2eActions';
    font-size: 1.2em;
    &.larger {
        font-size: 1.5em;
    }
}

p.compact-text {
    display: inline-block;
    font-weight: normal;
    line-height: 1.4em;
}

/* ----------------------------------------- */
/* Styled table
/* ----------------------------------------- */
table.pf2-table {
    border: solid 1px #000000;
    border-collapse: collapse;
    font-size: 13px;
    color: #191813;
    user-select: text;

    thead, tbody, tr, th, td {
        box-sizing: border-box;
        user-select: text;
    }

    tr:nth-child(odd) {
        background-color: #eee5c8;
    }
    tr:nth-child(even) {
        background-color: #f6f1e1;
    }

    th {
        color: white;
        font-weight: bold;
        background-color: #522e2c;
    }

    th, td {
        border: solid 1px #808080;
        padding: 6px 15px;
        text-align: center;
    }
}

/* ----------------------------------------- */
/* PF2E Action Custom Element
/* ----------------------------------------- */
[data-pf2-action]:not([data-pf2-action=""]) {
    background: #DDD;
    padding: 1px 4px;
    border: 1px solid #4b4a44;
    border-radius: 2px;
    white-space: nowrap;
    word-break: break-all;
    cursor: pointer;
    box-sizing: border-box;
    font-weight: 500;
}

[data-pf2-action][data-pf2-glyph]::before {
    font-family: 'Pathfinder2eActions';
    font-size: 1.5em;
    margin-right: 2px;
    color: #7a7971;
}

[data-pf2-action]:not([data-pf2-glyph])::before,
[data-pf2-action][data-pf2-glyph=""]::before {
    display: inline-block;
    height: 15px;
    width: 15px;
    background-image: url('../icons/actions/Passive.webp');
    background-repeat: no-repeat;
    background-size: 15px 15px;
    opacity: 0.4;
    margin-bottom: -3px;
    margin-right: 2px;
    content: '';
}

[data-pf2-action][data-pf2-glyph="A"]::before,
[data-pf2-action][data-pf2-glyph="a"]::before,
[data-pf2-action][data-pf2-glyph="1"]::before {
    content: 'A';
}
[data-pf2-action][data-pf2-glyph="D"]::before,
[data-pf2-action][data-pf2-glyph="d"]::before,
[data-pf2-action][data-pf2-glyph="2"]::before {
    content: 'D';
}
[data-pf2-action][data-pf2-glyph="T"]::before,
[data-pf2-action][data-pf2-glyph="t"]::before,
[data-pf2-action][data-pf2-glyph="3"]::before {
    content: 'T';
}
[data-pf2-action][data-pf2-glyph="F"]::before,
[data-pf2-action][data-pf2-glyph="f"]::before {
    content: 'F';
}
[data-pf2-action][data-pf2-glyph="R"]::before,
[data-pf2-action][data-pf2-glyph="r"]::before {
    content: 'R';
}

/* ----------------------------------------- */
/* PF2E Saving Throw Custom Element
/* ----------------------------------------- */
[data-pf2-saving-throw]:not([data-pf2-saving-throw=""]) {
    background: #ddd;
    padding: 1px 4px;
    border: 1px solid #4b4a44;
    border-radius: 2px;
    white-space: nowrap;
    word-break: break-all;
    cursor: pointer;
    box-sizing: border-box;
    font-weight: 500;
}

[data-pf2-saving-throw]:not([data-pf2-saving-throw=""]):not([data-pf2-show-dc="gm"]) {
    background: #e8e8ef;
}

[data-pf2-saving-throw]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f6cf';
}

/* ----------------------------------------- */
/* PF2E Skill Check Custom Element
/* ----------------------------------------- */
[data-pf2-skill-check]:not([data-pf2-skill-check=""]) {
    background: #ddd;
    padding: 1px 4px;
    border: 1px solid #4b4a44;
    border-radius: 2px;
    white-space: nowrap;
    word-break: break-all;
    cursor: pointer;
    box-sizing: border-box;
    font-weight: 500;
}

[data-pf2-skill-check]:not([data-pf2-skill-check=""]):not([data-pf2-show-dc="gm"]) {
    background: #e8e8ef;
}

[data-pf2-skill-check]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f6cf';
}

/* ----------------------------------------- */
/* PF2E Perception Check Custom Element
/* ----------------------------------------- */
[data-pf2-perception-check] {
    background: #ddd;
    padding: 1px 4px;
    border: 1px solid #4b4a44;
    border-radius: 2px;
    white-space: nowrap;
    word-break: break-all;
    cursor: pointer;
    box-sizing: border-box;
    font-weight: 500;
}

[data-pf2-perception-check]:not([data-pf2-show-dc="gm"]) {
    background: #e8e8ef;
}

[data-pf2-perception-check]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f6cf';
}

/* ----------------------------------------- */
/* PF2E flat Check Custom Element
/* ----------------------------------------- */
[data-pf2-flat-check] {
    background: #ddd;
    padding: 1px 4px;
    border: 1px solid #4b4a44;
    border-radius: 2px;
    white-space: nowrap;
    word-break: break-all;
    cursor: pointer;
    box-sizing: border-box;
    font-weight: 500;
}

[data-pf2-flat-check]:not([data-pf2-show-dc="gm"]) {
    background: #e8e8ef;
}

[data-pf2-flat-check]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f6cf';
}

/* ----------------------------------------- */
/* PF2E Check Custom Element
/* ----------------------------------------- */
[data-pf2-check]:not([data-pf2-check=""]) {
    background: #ddd;
    padding: 1px 4px;
    border: 1px solid #4b4a44;
    border-radius: 2px;
    white-space: nowrap;
    word-break: break-all;
    cursor: pointer;
    box-sizing: border-box;
    font-weight: 500;
}

[data-pf2-check]:not([data-pf2-check=""]):not([data-pf2-show-dc="gm"]) {
    background: #e8e8ef;
}

[data-pf2-check]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f6cf';
}

[data-pf2-check="reflex"]::before {
    content: '\f70c';
}

[data-pf2-check="will"]::before {
    content: '\f5dc';
}

[data-pf2-check="fortitude"]::before {
    content: '\f21e';
}

/* ----------------------------------------- */
/* PF2E Inline Template Custom Element
/* ----------------------------------------- */
[data-pf2-effect-area] {
    background: #ddd;
    padding: 1px 4px;
    border: 1px solid #4b4a44;
    border-radius: 2px;
    white-space: nowrap;
    word-break: break-all;
    cursor: pointer;
    box-sizing: border-box;
    font-weight: 500;
}

[data-pf2-effect-area]:not([data-pf2-show-dc="gm"]) {
    background: #e8e8ef;
}

[data-pf2-effect-area="cone"]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f104';
}

[data-pf2-effect-area="line"]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f7a5';
}

[data-pf2-effect-area="burst"]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f111';
}

[data-pf2-effect-area="emanation"]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f111';
}

[data-pf2-effect-area="rect"]::before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    margin-right: 5px;
    color: #7a7971;
    content: '\f0c8';
}

/* ----------------------------------------- */
/* PF2E Inline Repost Element
/* ----------------------------------------- */

[data-pf2-repost] {
    color: #7a7971;
    padding-left: 5px;
}

/* ----------------------------------------- */
/* PF2E GM Visibility Elements
/* ----------------------------------------- */
[data-visibility="gm"]:is(div, em, p, span, strong) {
    box-sizing: border-box;
    border: 1px dotted;
    background: #e8e8ef;
    padding: 3px;
    margin-bottom: 4px;

    em[data-visibility="gm"] {
        border: none;
        padding: 0;
        margin-bottom: 0;
    }
}

em[data-visibility="gm"] {
    display: inline-block;
}

/* ----------------------------------------- */
/* Forms
/* ----------------------------------------- */
@import 'forms';
